Update team member
curl --request PUT \
--url https://api.select.dev/api/{organization_id}/teams/{team_id}/members/{user_role_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.select.dev/api/{organization_id}/teams/{team_id}/members/{user_role_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.select.dev/api/{organization_id}/teams/{team_id}/members/{user_role_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "user",
"identifier": "<string>",
"role": "admin",
"added_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}teams
Update team member
deprecated
Update a team member’s role
PUT
/
api
/
{organization_id}
/
teams
/
{team_id}
/
members
/
{user_role_id}
Update team member
This v1 endpoint is deprecated and will be removed in the coming weeks. Use
PATCH /teams/{team_id}/members/{member_id}
in the v2 API instead. Note that the v2 equivalent is a
PATCH, not a PUT. The v2 path parameter is member_id, not
user_role_id.Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the team
The ID of the team membership (UserRole ID)
Body
application/json
The updated member data
New role for the member (editor or viewer)
Available options:
admin, editor, viewer Response
Successful Response
A member of a team (user or SSO group).
The unique identifier of this membership (UserRole ID)
Type of member - either a user or an SSO group
Available options:
user, sso_group Email address for users, group name for SSO groups
The role this member has within the team context (editor or viewer)
Available options:
admin, editor, viewer When the member was added to the team

